CREATE TABLE hwm_xfr_trans (
    XFR_TRANS_ID             NUMBER(18, 0),
    ENTERPRISE_ID            NUMBER(18, 0)    NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    XFR_JOB_ID               NUMBER(18, 0)    NOT NULL,
    XFR_TM_UNQ_REC_ID        NUMBER(18, 0),
    XFR_ROW_STATUS           VARCHAR2(120),
    XFR_GRP_ID               NUMBER(18, 0),
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    TCSMRS_ID                NUMBER(18, 0),
    TM_REC_ID                NUMBER(18, 0),
    TM_REC_VERSION           NUMBER(9, 0) ,
    TM_REC_GRP_ID            NUMBER(18, 0),
    TM_REC_GRP_VERSION       NUMBER(9, 0) ,
    XFR_TRANS_ID             NUMBER(18, 0),
    ENTERPRISE_ID            NUMBER(18, 0)    NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    XFR_JOB_ID               NUMBER(18, 0)    NOT NULL,
    XFR_TM_UNQ_REC_ID        NUMBER(18, 0),
    XFR_ROW_STATUS           VARCHAR2(120),
    XFR_GRP_ID               NUMBER(18, 0),
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    TCSMRS_ID                NUMBER(18, 0),
    TM_REC_ID                NUMBER(18, 0),
    TM_REC_VERSION           NUMBER(9, 0) ,
    TM_REC_GRP_ID            NUMBER(18, 0),
    TM_REC_GRP_VERSION       NUMBER(9, 0) ,
    CONSTRAINT pk_hwm_xfr_trans PRIMARY KEY (XFR_TRANS_ID, XFR_TRANS_ID)
);
